#!/usr/bin/env bash
set -euo pipefail

source ./scripts/Unix/starter.sh

echo "Shutting down..."
docker compose down
echo "Services were shut down successfully!"

echo "Spinning services up..."
docker compose up -d --build --wait
echo "Services are up and healthy!"

echo "Applying migrations..."
docker compose exec app uv run python manage.py migrate --no-input --verbosity 0
echo "Migrations applied successfully!"

echo "Collecting static files..."
docker compose exec app uv run python manage.py collectstatic --clear --no-input --verbosity 0
echo "Static files collected successfully!"

echo "Setting default caches..."
docker compose exec app uv run python manage.py set_default_caches
echo "Default caches set successfully!"

echo "Building search Index..."
docker compose exec app uv run python manage.py search_index --rebuild -f
echo "Search Index built successfully!"

echo "Cleaning up unused Docker data..."
docker system prune -f
echo "Unused Docker data cleaned successfully!"

echo "All done! eVibes is up and running!"
